## ros-geometry 1.13.2

=== eigen_conversions/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(eigen_conversions)

find_package(orocos_kdl REQUIRED)
find_package(catkin REQUIRED geometry_msgs std_msgs)
find_package(Eigen3 REQUIRED)

include_directories(SYSTEM ${EIGEN3_INCLUDE_DIRS})
include_directories(include ${catkin_INCLUDE_DIRS} ${orocos_kdl_INCLUDE_DIRS})
link_directories(${catkin_LIBRARY_DIRS})
link_directories(${orocos_kdl_LIBRARY_DIRS})

catkin_package(
  INCLUDE_DIRS include ${EIGEN3_INCLUDE_DIRS}
  LIBRARIES ${PROJECT_NAME}
  CATKIN_DEPENDS geometry_msgs std_msgs
  DEPENDS orocos_kdl
)

add_library(${PROJECT_NAME}
  src/eigen_msg.cpp
  src/eigen_kdl.cpp
)
add_dependencies(${PROJECT_NAME} ${catkin_EXPORTED_TARGETS})
target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES} ${orocos_kdl_LIBRARIES})

install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION})

install(TARGETS ${PROJECT_NAME}
  DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION})

=== geometry/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(geometry)
find_package(catkin REQUIRED)
catkin_metapackage()

=== kdl_conversions/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(kdl_conversions)

find_package(catkin REQUIRED geometry_msgs)
find_package(orocos_kdl REQUIRED)
catkin_package(
  INCLUDE_DIRS include
  LIBRARIES ${PROJECT_NAME}
  CATKIN_DEPENDS geometry_msgs
  DEPENDS orocos_kdl
)

include_directories(include ${catkin_INCLUDE_DIRS} ${orocos_kdl_INCLUDE_DIRS})
link_directories(${catkin_LIBRARY_DIRS})
link_directories(${orocos_kdl_LIBRARY_DIRS})

add_library(${PROJECT_NAME}
  src/kdl_msg.cpp
)
add_dependencies(${PROJECT_NAME} ${catkin_EXPORTED_TARGETS})
target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES} ${orocos_kdl_LIBRARIES})

install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION})

install(TARGETS ${PROJECT_NAME}
  DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION})

=== tf/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(tf)

include(CheckCXXCompilerFlag)
unset(COMPILER_SUPPORTS_CXX11 CACHE)
if(MSVC)
  # https://docs.microsoft.com/en-us/cpp/build/reference/std-specify-language-standard-version
  # MSVC has c++14 enabled by default, no need to specify c++11
else()
  check_cxx_compiler_flag(-std=c++11 COMPILER_SUPPORTS_CXX11)
  if(COMPILER_SUPPORTS_CXX11)
    add_compile_options(-std=c++11)
  endif()
endif()

find_package(catkin REQUIRED COMPONENTS
    angles
    geometry_msgs
    message_filters
    message_generation
    rosconsole
    roscpp
    rostime
    sensor_msgs
    std_msgs
    tf2_ros
)
find_package(Boost REQUIRED COMPONENTS thread system)

catkin_python_setup()

include_directories(
    include
    ${Boost_INCLUDE_DIR}
    ${catkin_INCLUDE_DIRS}
)

add_message_files(DIRECTORY msg FILES tfMessage.msg)
add_service_files(DIRECTORY srv FILES FrameGraph.srv)

generate_messages(DEPENDENCIES geometry_msgs sensor_msgs std_msgs)

catkin_package(
  INCLUDE_DIRS include
  LIBRARIES ${PROJECT_NAME}
  CATKIN_DEPENDS geometry_msgs message_filters message_runtime roscpp sensor_msgs std_msgs tf2_ros rosconsole
)

add_library(${PROJECT_NAME}
    src/cache.cpp
    src/tf.cpp
    src/transform_broadcaster.cpp
    src/transform_listener.cpp
)
target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES} ${Boost_LIBRARIES})
add_dependencies(${PROJECT_NAME} ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})

# Debug
add_executable(tf_empty_listener src/empty_listener.cpp)
target_link_libraries(tf_empty_listener ${PROJECT_NAME})

add_executable(tf_echo src/tf_echo.cpp)
target_link_libraries(tf_echo ${PROJECT_NAME})

add_executable(tf_change_notifier src/change_notifier.cpp)
target_link_libraries(tf_change_notifier ${PROJECT_NAME})

add_executable(tf_monitor src/tf_monitor.cpp)
target_link_libraries(tf_monitor ${PROJECT_NAME})

add_executable(static_transform_publisher src/static_transform_publisher.cpp)
target_link_libraries(static_transform_publisher ${PROJECT_NAME})

# Tests
if(CATKIN_ENABLE_TESTING AND NOT ANDROID)

find_package(rostest REQUIRED)

catkin_add_gtest(tf_unittest test/tf_unittest.cpp)
target_include_directories(tf_unittest PRIVATE ${rostest_INCLUDE_DIRS})
target_link_libraries(tf_unittest ${PROJECT_NAME})

catkin_add_gtest(tf_quaternion_unittest test/quaternion.cpp)
target_link_libraries(tf_quaternion_unittest ${PROJECT_NAME})

catkin_add_gtest(test_transform_datatypes test/test_transform_datatypes.cpp)
target_link_libraries(test_transform_datatypes ${PROJECT_NAME} ${Boost_LIBRARIES})

add_executable(transform_listener_unittest test/transform_listener_unittest.cpp)
target_link_libraries(transform_listener_unittest ${PROJECT_NAME} ${GTEST_LIBRARIES})
add_rostest(test/transform_listener_unittest.launch)

# Disabled because of changes in TransformStorage
#catkin_add_gtest_future(tf_unittest_future test/tf_unittest_future.cpp)
#target_link_libraries(tf_unittest_future ${PROJECT_NAME})

catkin_add_gtest(test_velocity test/velocity_test.cpp)
target_link_libraries(test_velocity ${PROJECT_NAME})

#add_executable(test_transform_twist test/transform_twist_test.cpp)
#target_link_libraries(test_transform_twist ${PROJECT_NAME})
#catkin_add_gtest_build_flags(test_transform_twist)
#add_rostest(test/transform_twist_test.launch)

catkin_add_gtest(cache_unittest test/cache_unittest.cpp)
target_link_libraries(cache_unittest ${PROJECT_NAME})

add_executable(test_message_filter EXCLUDE_FROM_ALL test/test_message_filter.cpp)
target_link_libraries(test_message_filter tf ${Boost_LIBRARIES} ${GTEST_LIBRARIES})
add_rostest(test/test_message_filter.xml)


### Benchmarking
#catkin_add_gtest_future(tf_benchmark test/tf_benchmark.cpp)
#target_link_libraries(tf_benchmark ${PROJECT_NAME})

add_executable(testListener test/testListener.cpp)
target_link_libraries(testListener ${PROJECT_NAME} ${GTEST_LIBRARIES})
add_rostest(test/test_broadcaster.launch)

add_executable(testBroadcaster test/testBroadcaster.cpp)
target_link_libraries(testBroadcaster ${PROJECT_NAME})

catkin_add_nosetests(test/testPython.py) 
add_executable(tf_speed_test EXCLUDE_FROM_ALL test/speed_test.cpp)
target_link_libraries(tf_speed_test ${PROJECT_NAME})

if(TARGET tests)
    add_dependencies(tests testBroadcaster testListener transform_listener_unittest test_message_filter)
endif()

endif() # CATKIN_ENABLE_TESTING AND NOT ANDROID

install(DIRECTORY include/${PROJECT_NAME}/
    DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

# Install library
install(TARGETS ${PROJECT_NAME}
    ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
    LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
    RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION}
)

# Install executable
install(TARGETS tf_echo tf_empty_listener tf_change_notifier tf_monitor static_transform_publisher
    RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

# Install rosrun-able scripts
catkin_install_python(PROGRAMS
  scripts/bullet_migration_sed.py
  scripts/tf_remap
  scripts/view_frames
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION} )

=== tf_conversions/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(tf_conversions)

find_package(orocos_kdl REQUIRED)
find_package(catkin REQUIRED geometry_msgs kdl_conversions tf)
find_package(Eigen3 REQUIRED)

catkin_python_setup()

catkin_package(
  INCLUDE_DIRS include
  LIBRARIES ${PROJECT_NAME}
  DEPENDS EIGEN3 orocos_kdl
  CATKIN_DEPENDS geometry_msgs kdl_conversions tf
)

include_directories(include ${catkin_INCLUDE_DIRS} ${EIGEN3_INCLUDE_DIRS} ${orocos_kdl_INCLUDE_DIRS})

# Needed due to no full filename in orocos_kdl pkg-config export
link_directories(${orocos_kdl_LIBRARY_DIRS})

add_library(${PROJECT_NAME}
  src/tf_kdl.cpp
  src/tf_eigen.cpp
)
add_dependencies(${PROJECT_NAME} ${catkin_EXPORTED_TARGETS})
target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES} ${orocos_kdl_LIBRARIES})

# Tests
if(CATKIN_ENABLE_TESTING)


catkin_add_gtest(test_eigen_tf test/test_eigen_tf.cpp)
target_link_libraries(test_eigen_tf ${PROJECT_NAME} ${orocos_kdl_LIBRARIES})

catkin_add_gtest(test_kdl_tf test/test_kdl_tf.cpp)
if(CMAKE_COMPILER_IS_GNUCXX)
set_target_properties(test_kdl_tf PROPERTIES COMPILE_FLAGS "-Wno-deprecated-declarations")
endif()
target_link_libraries(test_kdl_tf ${PROJECT_NAME} ${orocos_kdl_LIBRARIES})

catkin_add_nosetests(test/posemath.py)

endif()


install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION})

install(TARGETS ${PROJECT_NAME}
  DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION})

=== debian/changelog ===
ros-geometry (1.13.2-11) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit,
    Repository-Browse.
  * Replace use of deprecated $ADTTMP with $AUTOPKGTEST_TMP.

  [ Timo Röhling ]
  * Wrap and sort Debian package files
  * Migrate to dh-ros
  * Bump Standards-Version to 4.7.0
  * Add myself to uploaders

 -- Timo Röhling <roehling@debian.org>  Tue, 15 Oct 2024 21:35:11 +0200

ros-geometry (1.13.2-10) unstable; urgency=medium

  * Add patch to use yaml.safe_load

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 22 Oct 2022 17:15:34 +0200

ros-geometry (1.13.2-9) unstable; urgency=medium

  * Drop nose dependency (Closes: #1018626)
  * Bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 29 Aug 2022 14:43:26 +0200

ros-geometry (1.13.2-8) unstable; urgency=medium

  * Add logcxx patch

 -- Leopold Palomo-Avellaneda <leo@alaxarxa.net>  Wed, 02 Feb 2022 14:58:14 +0100

ros-geometry (1.13.2-7) unstable; urgency=medium

  * Drop old Breaks/Replaces
  * Drop python3:Versions
  * Set ROS_IP for tests (Closes: #1002436)

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 22 Dec 2021 09:57:31 +0100

ros-geometry (1.13.2-6) unstable; urgency=medium

  * Enable tests

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 27 Oct 2021 18:46:50 +0200

ros-geometry (1.13.2-5) unstable; urgency=medium

  * Team upload.
  * Upload to unstable

 -- Timo Röhling <roehling@debian.org>  Wed, 22 Sep 2021 22:42:20 +0200

ros-geometry (1.13.2-4) experimental; urgency=medium

  * Team upload.
  * Move pkg-config and CMake config files to /usr/lib/<triplet>
  * Bump Standards-Version to 4.6.0 (no changes)

 -- Timo Röhling <roehling@debian.org>  Tue, 21 Sep 2021 21:39:04 +0200

ros-geometry (1.13.2-3) unstable; urgency=medium

  * simplify packaging

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 19 Dec 2020 16:50:28 +0100

ros-geometry (1.13.2-2) unstable; urgency=medium

  * Add patch for Boost 1.74
  * bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 15 Dec 2020 09:51:06 +0100

ros-geometry (1.13.2-1) unstable; urgency=medium

  * New upstream version 1.13.2
  * Remove Thomas from Uploaders, thanks for working on this
  * rebase patches
  * bump debhelper version

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 20 Jun 2020 11:39:09 +0200

ros-geometry (1.12.0-7) unstable; urgency=medium

  * add Salsa CI
  * Drop libboost-signals-dev build dependency
  * bump policy version

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 05 Jun 2020 19:19:41 +0200

=== debian/control ===
Source: ros-geometry
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Jochen Sprickerhof <jspricke@debian.org>,
 Leopold Palomo-Avellaneda <leo@alaxarxa.net>,
 Timo Röhling <roehling@debian.org>,
Build-Depends:
 catkin,
 debhelper-compat (= 13),
 dh-ros,
 dh-sequence-python3,
 libactionlib-dev,
 libactionlib-msgs-dev,
 libangles-dev,
 libboost-dev,
 libboost-filesystem-dev,
 libboost-regex-dev,
 libboost-thread-dev,
 libbullet-dev,
 libconsole-bridge-dev,
 libeigen3-dev,
 libgeometry-msgs-dev,
 libgtest-dev,
 libmessage-filters-dev,
 liborocos-kdl-dev,
 libpython3-dev,
 libros-rosgraph-msgs-dev,
 librosconsole-dev,
 libroscpp-core-dev,
 libroscpp-dev,
 libroscpp-msg-dev,
 librostest-dev,
 libsensor-msgs-dev,
 libstd-msgs-dev,
 libtf2-dev,
 libtf2-msgs-dev,
 libtf2-ros-dev,
 libxmlrpcpp-dev,
 python3-all,
 python3-numpy <!nocheck>,
 python3-pykdl <!nocheck>,
 python3-rospy,
 python3-rostest <!nocheck>,
 python3-sensor-msgs <!nocheck>,
 python3-setuptools,
 python3-tf2,
 python3-tf2-ros <!nocheck>,
 ros-actionlib-msgs,
 ros-geometry-msgs,
 ros-message-generation,
 ros-rosgraph-msgs,
 ros-sensor-msgs,
 ros-std-msgs,
 ros-tf2-msgs,
Standards-Version: 4.7.0
Section: libs
Rules-Requires-Root: no
Homepage: https://wiki.ros.org/geometry
Vcs-Browser: https://salsa.debian.org/science-team/ros-geometry
Vcs-Git: https://salsa.debian.org/science-team/ros-geometry.git

Package: libtf1d
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Multi-Arch: same
Description: Robot OS tf transform library to keep track of multiple coordinate frames
 tf is a package that lets the user keep track of multiple coordinate frames
 over time. tf maintains the relationship between coordinate frames in a tree
 structure buffered in time, and lets the user transform points, vectors, etc
 between any two coordinate frames at any desired point in time.
 .
 This package contains the library itself.

Package: cl-tf
Section: lisp
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: Robot OS tf transform library -- LISP interface
 tf is a package that lets the user keep track of multiple coordinate frames
 over time. tf maintains the relationship between coordinate frames in a tree
 structure buffered in time, and lets the user transform points, vectors, etc
 between any two coordinate frames at any desired point in time.
 .
 This package contains the LISP bindings (messages and services) and
 is part of Robot OS (ROS).

Package: libtf-conversions-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libeigen3-dev,
 libgeometry-msgs-dev,
 liborocos-kdl-dev,
 libtf-conversions0d ( = ${binary:Version}),
 libtf-dev,
 ${misc:Depends},
Description: Robot OS conversion library between Eigen, KDL and tf - development files
 This package contains a set of conversion functions to convert
 common tf datatypes (point, vector, pose, etc) into semantically
 identical datatypes used by other libraries. The conversion functions
 make it easier for users of the transform library (tf) to work with
 the datatype of their choice. Currently this package has support for
 the Kinematics and Dynamics Library (KDL) and the Eigen matrix library.
 .
 This package contains the development files of tf-conversions library
 and is part of Robot OS (ROS).

Package: libtf-conversions0d
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Multi-Arch: same
Description: Robot OS conversion library between tf and Eigen and KDL
 This package contains a set of conversion functions to convert
 common tf datatypes (point, vector, pose, etc) into semantically
 identical datatypes used by other libraries. The conversion functions
 make it easier for users of the transform library (tf) to work with
 the datatype of their choice. Currently this package has support for
 the Kinematics and Dynamics Library (KDL) and the Eigen matrix library.
 .
 This package contains the library itself and is part of Robot OS (ROS).

Package: libtf-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libgeometry-msgs-dev,
 libmessage-filters-dev,
 librosconsole-dev,
 libroscpp-dev,
 libsensor-msgs-dev,
 libstd-msgs-dev,
 libtf1d ( = ${binary:Version}),
 libtf2-ros-dev,
 ros-message-runtime,
 ${misc:Depends},
Description: Robot OS tf transform library  - development files
 tf is a package that lets the user keep track of multiple coordinate frames
 over time. tf maintains the relationship between coordinate frames in a tree
 structure buffered in time, and lets the user transform points, vectors, etc
 between any two coordinate frames at any desired point in time.
 .
 This package contains the development files of tf library.

Package: python3-tf
Section: python
Architecture: any
Depends:
 python3-genpy,
 python3-geometry-msgs,
 python3-numpy,
 python3-sensor-msgs,
 python3-std-msgs,
 python3-tf2-ros,
 ${misc:Depends},
 ${python3:Depends},
Description: Robot OS tf transform library - Python 3
 tf is a package that lets the user keep track of multiple coordinate frames
 over time. tf maintains the relationship between coordinate frames in a tree
 structure buffered in time, and lets the user transform points, vectors, etc
 between any two coordinate frames at any desired point in time.
 .
 This package contains the Python 3 bindings and is part of Robot OS (ROS)

Package: python3-tf-conversions
Section: python
Architecture: any
Depends:
 python3-genpy,
 python3-pykdl,
 python3-std-msgs,
 python3-tf,
 ${misc:Depends},
 ${python3:Depends},
Description: Robot OS conversion library between Eigen, KDL and tf - Python 3 interface
 This package contains a set of conversion functions to convert
 common tf datatypes (point, vector, pose, etc) into semantically
 identical datatypes used by other libraries. The conversion functions
 make it easier for users of the transform library (tf) to work with
 the datatype of their choice. Currently this package has support for
 the Kinematics and Dynamics Library (KDL) and the Eigen matrix library.
 .
 This package contains the Python 3 bindings and is part of Robot OS (ROS).

Package: tf-tools
Section: utils
Architecture: any
Depends:
 graphviz,
 python3,
 python3-tf,
 ${misc:Depends},
 ${shlibs:Depends},
Description: Set of utilities to operate with the Robot OS tf lib
 This package is part of Robot OS (ROS), and contains transform
 library tools. Although tf is mainly a code library meant to be used
 within ROS nodes, it comes with a large set of command-line tools
 that assist in the debugging and creation of tf coordinate
 frames. These tools include: static_transform_publisher,
 tf_change_notifier, tf_echo, tf_empty_listener tf_monitor, tf_remap
 and view_frames_tf

=== debian/rules ===
#!/usr/bin/make -f

export ROS_SKIP_PACKAGES = geometry

%:
	dh $@ --buildsystem=ros

=== debian/tests/control ===
Test-Command: ./debian/tests/compilation tf tf/tf.h
Restrictions:
 allow-stderr,
Depends:
 catkin,
 g++,
 libtf-dev,

Test-Command: ./debian/tests/compilation tf_conversions eigen_conversions/eigen_kdl.h tf_conversions/tf_eigen.h tf_conversions/tf_kdl.h
Restrictions:
 allow-stderr,
Depends:
 catkin,
 g++,
 libtf-conversions-dev,

Test-Command: ./debian/tests/python3_import tf
Restrictions:
 allow-stderr,
Depends:
 python3-tf,

Test-Command: ./debian/tests/python3_import tf_conversions
Restrictions:
 allow-stderr,
Depends:
 python3-tf-conversions,
